List pending supplier invitations for the current organization. Requires suppliers.read permission.
Query parameters
| Name |
Type |
Required |
Description |
search |
string |
no |
Search by supplier name or business ID |
fields[] |
string[] |
no |
Select which fields to include in the response. When omitted, all fields are returned. When provided, only the specified fields are included. (e.g., ?fields[]=id&fields[]=status) One of: acceptedAt, businessId, businessName, country, createdAt, email, expiresAt, id, invitedAt, organizationId, status, updatedAt. |
with[] |
string[] |
no |
Include related resources in the response. Pass multiple values as separate query parameters (e.g., ?with[]=invitedBy). One of: invitedBy. |
orderBy |
string |
no |
Field to order by One of: id, createdAt, invitedAt, supplierName, expiresAt. |
order |
string |
no |
Specifies in what direction the results should be ordered (ASC/DESC) One of: asc, desc. |
count |
integer |
no |
Specifies the number of results to show per page of paginated results (1-500) |
Responses
| Status |
Description |
| 200 |
A paginated list of pending supplier invitations |
| 403 |
The requesting user lacks appropriate permissions |
Response 200 body
data object[] · required
links object · required
meta object · required
{
"data": [
{
"id": "string",
"acceptedAt": "string",
"businessId": "string",
"businessName": "string",
"country": "SWE",
"createdAt": "2024-06-30T19:00:00Z",
"email": "string",
"expiresAt": "string",
"invitedAt": "string",
"invitedBy": {
"id": "019222d9-d87d-7724-bba6-ba91503ea311",
"firstName": "John",
"lastName": "Doe"
},
"organizationId": "string",
"status": "pending",
"updatedAt": "2024-06-30T19:00:00Z"
}
],
"links": {
"first": "https://api.safesites.app/sites?page=1",
"last": "https://api.safesites.app/sites?page=10",
"prev": null,
"next": "https://api.safesites.app/sites?page=2"
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 10,
"links": [
{
"url": "https://api.safesites.app/sites?page=2",
"label": "Next",
"active": true
}
],
"path": "https://api.safesites.app/sites",
"per_page": 100,
"to": 100,
"total": 1000,
"userId": "01930a9b-7b61-79a5-9ba2-78f0b4b2c196",
"requestId": "01930a9b-8d1f-766f-945c-ef6408134dbc"
}
}